Get Boundary Summary
GET/v4/boundaries/:id/summary
Get a summary for a given boundary.
Request
Path Parameters
id stringrequired
The LiveBy Boundary ID obtained from the /v4/boundaries endpoint.
Query Parameters
promptStyle stringrequired
The style of the prompt used to generate the boundary summary.
createIfMissing booleanrequired
If a summary does not already exist and this parameter is true, a new summary will be created using a LLM.
rebuild booleanrequired
If a summary does exist, ignore it and generate a new one using a LLM.
userId numberrequired
ID of the user that the summary is for.
Responses
- 200
- 401
- 403
- 404
- 429
- 500
- 504
- application/json
- Schema
- Example (from schema)
Schema
success booleanrequired
data
object
Boundary stringrequired
The unique identifier for the boundary.
Description objectrequired
The description of the boundary.
Expires At object
The expiration date of the description.
Deleted At object
The deletion date of the boundary.
{
"success": true,
"data": {
"Boundary": "string",
"Description": {},
"Expires At": {},
"Deleted At": {}
}
}
Unauthorized
Forbidden
Not Found
Too Many Requests
Internal Server Error
Service Unavailable
Loading...